import request from '@/utils/request'

// 查询任务列表
export function listQuest(query) {
  return request({
    url: '/quest/quest/list',
    method: 'get',
    params: query
  })
}

// 查询任务详细
export function getQuest(id) {
  return request({
    url: '/quest/quest/selectTaskById/' + id,
    method: 'get'
  })
}

// 新增任务
export function addQuest(data) {
  return request({
    url: '/quest/quest',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateQuest(data) {
  return request({
    url: '/quest/quest',
    method: 'put',
    data: data
  })
}

// 删除任务
export function delQuest(id) {
  return request({
    url: '/quest/quest/' + id,
    method: 'delete'
  })
}
